Skip to main content
POST
Collect DTMF input

Authorizations

Authorization
string
header
required

Wavix API key. Pass as Authorization: Bearer <api_key>. Keys support per-resource scopes (none / read / write). See Restricted keys and scopes.

Path Parameters

id
string<uuid>
required

The uuid of the call.

Body

application/json

Options for the DTMF collection.

max_digits
integer

Maximum number of digits to collect.

Required range: 1 <= x <= 20
Example:

5

timeout
integer

Timeout for digit collection in seconds.

Required range: 1 <= x <= 60
Example:

10

termination_character
string

DTMF character that ends input collection.

Example:

"#"

max_attempts
integer

Maximum number of attempts.

Example:

3

prompt
object

Prompt to play before collecting digits. Play a prerecorded audio file or use Wavix Text-To-Speech.

Response

Returns a success confirmation. DTMF collection starts.

success
boolean
required

Indicates whether the request was successful.

Example:

true